active_architecture_only_to_no

Pods was rejected as an implicit dependency for ‘libPods.a’ because its architectures ‘armv7 armv7s’ didn’t contain all required architectures ‘armv7 armv7s arm64’を直す

LINEで送る
Pocket

エラー文長いですね笑

Xcode6でcocoapodsを入れた時に起きました。

結論から言いますと、


Podsプロジェクトの”Build Active Architecture OnlyフラグがYESになっているのをNOにする

のが解決方法になります。

active_architecture_only_to_no


cocoapodsを導入したプロジェクトでアーキテクチャ周りのビルドエラーになる時
に載っていました。

感謝感謝。

誰かのお役に立てば。

LINEで送る
Pocket

Dalt

translimit, Inc. Application Engineer. Twitter: @daiki1003 Facebok: Daiki Asahi

コメントを残す

メールアドレスが公開されることはありません。 * が付いている欄は必須項目です